Skip to main content
POST
/
api
/
v1
/
extract
Extract provider data from a business URL
curl --request POST \
  --url https://vine.getcourtyard.ai/api/v1/extract \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://www.mindbodyonline.com/explore/locations/the-sharp-barber",
  "policy": {
    "allowTransportRescue": true
  },
  "options": {
    "budgetMs": 2
  },
  "callerRef": {
    "businessId": "<string>",
    "entityId": "<string>",
    "jobId": "<string>"
  }
}
'
{
  "schemaVersion": "<string>",
  "id": "<string>",
  "kind": "<string>",
  "status": "<string>",
  "pollUrl": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "retryAfterSeconds": 123
}

Authorizations

Authorization
string
header
required

vine_live_… / vine_test_… API key

Headers

Idempotency-Key
string

Optional caller-unique key. A replay with the same key + payload returns the existing job (a different payload returns 409). Omit and the server generates one.

Body

application/json
url
string<uri>
required

Business URL.

Example:

"https://www.mindbodyonline.com/explore/locations/the-sharp-barber"

policy
object
options
object
callerRef
object

Response

Job accepted; poll pollUrl.

schemaVersion
string
id
string
kind
string
status
string
pollUrl
string
createdAt
string<date-time>
retryAfterSeconds
integer